/*
 * Copyright (C) 2023 niushuai233 niushuai.cc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.niushuai.gasweb.controller;

import cc.niushuai.gasweb.repository.GasRepository;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;

/**
 * 图表请求入口
 *
 * @author niushuai233
 * @date 2024/6/7 10:33
 * @since 0.0.1
 */
@Tag(name = "图表请求入口")
@Slf4j
@Controller
@RequestMapping("/chart")
public class ChartController {

    @Resource
    private GasRepository gasRepository;

    @Operation(summary = "test")
    @GetMapping("/test")
    @ResponseBody
    public String test() {
        return "hello test";
    }

}
